VARKON Version 1.15 1997-12-29

> ## lin_perp - Geometric procedure

> Creates a line
> Description
> Creates a line perpendicular to another line. The line can start in any position and have any length but the direction will always be perpendicular to the referenced line. With a positive value for length the new line will point to the right with respect to the referenced line and with a negative value for length the direction of the new line becomes opposite.
> Syntax
> lin_perp(id, p, ref, len:attributes);

> REF | id;
> VECTOR | p;
> REF | ref;
> FLOAT | len;

> Principal parameters

> id | - Local identity
> p | - Start position
> ref | - Identity of perpendicular line
> len | - Length

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> lin_perp(#6,vec(0,0),#4,100);
> Creates a line starting in X=Y=0 perpendicular to the line #4. The direction of the new line is to the right with respect of the sense of direction for #4.
> Comments
> In a 3D module the resulting line is restricted to the XY-plane of the active coordinate system. If the start position p or the line ref is not in in this plane they will be projected along the Z-axis onto the XY-plane before being used to create the new line.

VARKON Homepage | Index